It's all about the answers!

Ask a question

Error install RTC 4.0.1M4 using DB2


Jorge Iglesias (8176) | asked Oct 08 '12, 5:42 a.m.
Hi folk,

I've download the milestone version of RTC today, RTC 4.0.1M4 and when I try to register applications (setup, step 5) I got the following error:

Failed to claim content: com.ibm.team.repository.common.model.impl.ContentImpl@41734173 (internalId: [UUID _iPx60hErEeKzTr18KlGpgQ]) (deltaPredecessor: null, contentId: [UUID _iPwsshErEeKzTr18KlGpgQ], contentLength: 44, characterEncoding: UTF-8, contentType: text/plain, checksum: 1983058009, lineDelimiterSetting: 0, lineDelimiterCount: )ID CRJAZ0475I

com.ibm.team.repository.common.InternalRepositoryException
com.ibm.team.repository.service.internal.db.filestorage.ContentStorage.claimContent(ContentStorage.java:586)
com.ibm.team.repository.service.internal.db.filestorage.ContentStorage.claimOrConfirmContent(ContentStorage.java:514)
com.ibm.team.repository.service.internal.RdbRepositoryDataMediator.claimOrConfirmContent(RdbRepositoryDataMediator.java:1204)
com.ibm.team.repository.service.internal.ContentService.internalPersistAndMaybeCompressStoredContent(ContentService.java:1352)
com.ibm.team.repository.service.internal.ContentService.saveContent(ContentService.java:1791)
com.ibm.team.repository.service.internal.ContentService.saveAllContent(ContentService.java:1775)
com.ibm.team.repository.service.internal.ContentService.saveAllContent(ContentService.java:1753)
sun.reflect.GeneratedMethodAccessor361.invoke(Unknown Source)


any suggestions? Can you install with DB2? right?

Thanks,

Jorge


Comments
Jorge Iglesias commented Oct 08 '12, 5:44 a.m.

Caused by:
DB2 SQL Error: SQLCODE=-401, SQLSTATE=42818, SQLERRMC==, DRIVER=4.14.88 (com.ibm.db2.jcc.am.SqlSyntaxErrorException)
com.ibm.db2.jcc.am.ed.a(ed.java:677)
com.ibm.db2.jcc.am.ed.a(ed.java:60)
com.ibm.db2.jcc.am.ed.a(ed.java:127)
com.ibm.db2.jcc.am.oo.c(oo.java:2713)
... 153 more.

One answer



permanent link
Stephanie Bagot (2.1k512) | answered Jul 22 '13, 12:28 p.m.
FORUM MODERATOR / JAZZ DEVELOPER
Any reason why you are installing M14? This is not a fully GA'ed version and there will be defects in this milestone release. I would try using the fully GA'ed 4.0.1 version.

Your answer


Register or to post your answer.